//  dwOpenClient.h - MQTT deviceWISE Open Client.

#include <Arduino.h>


class dwOpenClient {
private:
	char *Server;
	int Port;
	char *AppToken;
	
	bool connected;	
	bool connectionGood;	

	bool connectionStatus(void);
	
	char RespData[256];
	char ATCommand[256];   

	void resetMODEM(void);
	int sendATCommand( char *SendData );

 
public:
	dwOpenClient(char *Server, int Port, char *AppToken );

	bool isConnected(void);
	int dwDeviceConnect(void);	
	int dwPropertyPublish( char *Key, int Value );
	int dwAttributePublish( char *Key, char *Value );
	int dwLogPublish( char *Message );
	int dwLocationPublish( char *, char *, char *, char *, char * );	
	
};


